# Class EventsCompactionConfig.Builder

java.lang.Object
com.google.adk.summarizer.EventsCompactionConfig.Builder

Enclosing class:
  `EventsCompactionConfig`

public abstract static class EventsCompactionConfig.Builder extends Object
Builder for `EventsCompactionConfig`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract EventsCompactionConfig`
  `build()`
  `abstract EventsCompactionConfig.Builder`
  `compactionInterval(@Nullable Integer compactionInterval)`
  `abstract EventsCompactionConfig.Builder`
  `eventRetentionSize(@Nullable Integer eventRetentionSize)`
  `abstract EventsCompactionConfig.Builder`
  `overlapSize(@Nullable Integer overlapSize)`
  `abstract EventsCompactionConfig.Builder`
  `summarizer(@Nullable BaseEventSummarizer summarizer)`
  `abstract EventsCompactionConfig.Builder`
  `tokenThreshold(@Nullable Integer tokenThreshold)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### compactionInterval

    @CanIgnoreReturnValue public abstract EventsCompactionConfig.Builder compactionInterval(@Nullable Integer compactionInterval)

  - ### overlapSize

    @CanIgnoreReturnValue public abstract EventsCompactionConfig.Builder overlapSize(@Nullable Integer overlapSize)

  - ### summarizer

    @CanIgnoreReturnValue public abstract EventsCompactionConfig.Builder summarizer(@Nullable BaseEventSummarizer summarizer)

  - ### tokenThreshold

    @CanIgnoreReturnValue public abstract EventsCompactionConfig.Builder tokenThreshold(@Nullable Integer tokenThreshold)

  - ### eventRetentionSize

    @CanIgnoreReturnValue public abstract EventsCompactionConfig.Builder eventRetentionSize(@Nullable Integer eventRetentionSize)

  - ### build

    public abstract EventsCompactionConfig build()